Developers
V1RewardsMerchantsTenantidOutlets

Branches of the approved listing, for choosing where you are redeeming

Owner or staff of that merchant (checked from the database). Send the chosen id as outletId with validate or redeem; it is recorded with the redemption. Empty until the merchant's listing is approved.

GET
/v1/rewards/merchants/{tenantId}/outlets
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/rewards/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/outlets"
{  "outlets": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "area": "string"    }  ]}